Subject: Re: Booting 2.6.29-rc3 on mpc8661d_hpcn failing

From: Martyn Welch <[email-masked]>
Date: Mon, 02 Feb 2009 16:20:14 +0000

Kumar Gala wrote:
> 
> On Feb 2, 2009, at 10:00 AM, Martyn Welch wrote:
> 
>> Kumar Gala wrote:
>>> On Feb 2, 2009, at 3:36 AM, Martyn Welch wrote:
>>>> Becky Bruce wrote:
>>>>> On Jan 30, 2009, at 8:42 AM, Kumar Gala wrote:
>>>>>>
>>>>>> On Jan 30, 2009, at 6:31 AM, Martyn Welch wrote:
>>>>>>
>>>>>>> Hi Guys,
>>>>>>>
>>>>>>> It seems that 2.6.29-rc3 is not booting on the MPC8641 HPCN. I 
>>>>>>> have just updated u-boot to the latest git to see if that 
>>>>>>> improved matters, however I get stuck at the following. Any ideas?
>>>>>>
>>>>>> did you update your .dtb as well?
>>>>
>>>> Yup, just double checked it. SOC mapped at ffe00000. If I use the 
>>>> wrong DTB I don't get any serial output...
>>>>
>>>>> We've changed the memory map for that board in the latest u-boot, 
>>>>> which is why you need a new .dtb.  If this still failing, let me 
>>>>> know, and I'll give it a try on my board and see what's up since 
>>>>> this is probably my fault :)
>>>>
>>>> It appears the same problem is affecting our sbc610 as well, the 
>>>> location of the SOC hasn't changed on that board.
>>>>
>>>> Martyn
>>> Hm.. maybe try a git-bisect between 2.6.28 and 2.6.29-rc3?
>>
>> That's was today's "little" task. I was just in the process of writing 
>> an email :-)
>>
>> It got me to the following commit:
>>
>> commit 64b3d0e8122b422e879b23d42f9e0e8efbbf9744
>> Author: Benjamin Herrenschmidt <[email-masked]>
>>
>>   powerpc/mm: Rework usage of _PAGE_COHERENT/NO_CACHE/GUARDED
>>
>> I tried reverting it, but as I had kinda thought, that really didn't 
>> help.
>>
>> I'm just recompiling to check that I didn't screw-up during the 
>> bisection.
> 

Nope, didn't screw-up...

> Hmm.
> 
> take a look at this thread.
> 
> http://ozlabs.org/pipermail/linuxppc-dev/2009-January/067437.html
> 

...and that confirms that this issue has well and truly left this newbies comfort zone ;-)

Martyn

-- 
Martyn Welch MEng MPhil MIET (Principal Software Engineer)   T:+44(0)1327322748
GE Fanuc Intelligent Platforms Ltd,        |Registered in England and Wales
Tove Valley Business Park, Towcester,      |(3828642) at 100 Barbirolli Square,
Northants, NN12 6PF, UK T:+44(0)1327359444 |Manchester,M2 3AB  VAT:GB 729849476